JTree.TreeSelectionRedirector (Java Platform SE 8 )
Keywords: javax.swing.JTree.TreeSelectionRedirector class
Date: 2016-07-28

javax.swing

## Class JTree.TreeSelectionRedirector

- java.lang.Object
- - javax.swing.JTree.TreeSelectionRedirector

- All Implemented Interfaces:
    Serializable, EventListener, TreeSelectionListener
  Enclosing class:
    JTree

      protected class JTree.TreeSelectionRedirector
      extends Object
      implements Serializable, TreeSelectionListener

  Handles creating a new `TreeSelectionEvent` with the `JTree` as the source and passing it off to all the listeners.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TreeSelectionRedirector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `valueChanged(TreeSelectionEvent e)` Invoked by the `TreeSelectionModel` when the selection changes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeSelectionRedirector

          protected TreeSelectionRedirector()

  - ### Method Detail

    - #### valueChanged

          public void valueChanged(TreeSelectionEvent e)

      Invoked by the `TreeSelectionModel` when the selection changes.
      Specified by:
        `valueChanged` in interface `TreeSelectionListener`
      Parameters:
        `e` - the `TreeSelectionEvent` generated by the `TreeSelectionModel`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.